#' Historical data used for classification examples.
#'
#' This data contains physical measurements on three species of flea beetles.
#'
#' @details \itemize{
#'   \item species Ch. concinna, Ch. heptapotamica, Ch. heikertingeri
#'   \item tars1 width of the first joint of the first tarsus in microns
#'   \item tars2 width of the second joint of the first tarsus in microns
#'   \item head the maximal width of the head between the external edges of the eyes in 0.01 mm
#'   \item aede1 the maximal width of the aedeagus in the fore-part in microns
#'   \item aede2 the front angle of the aedeagus (1 unit = 7.5 degrees)
#'   \item aede3 the aedeagus width from the side in microns
#' }
#'
#' @docType data
#' @keywords datasets
#' @name flea
#' @usage data(flea)
#' @format A data frame with 74 rows and 7 variables
#' @references
#' Lubischew, A. A. (1962), On the Use of Discriminant Functions in
#' Taxonomy, Biometrics 18:455-477.
NULL
